# classes/phing/tasks/ext/ZendCodeAnalyzerTask.php

ZendCodeAnalyzerTask analyze PHP source code using the ZendCodeAnalyzer included in Zend Studio 5.1

Available warnings: zend-error - %s(line %d): %s oneline-comment - One-line comment ends with tag. bool-assign - Assignment seen where boolean expression is expected. Did you mean '==' instead of '='? bool-print - Print statement used when boolean expression is expected. bool-array - Array used when boolean expression is expected. bool-object - Object used when boolean expression is expected. call-time-ref - Call-time reference is deprecated. Define function as accepting parameter by reference instead. if-if-else - In if-if-else construction else relates to the closest if. Use braces to make the code clearer. define-params - define() requires two or three parameters. define-const - First parameter for define() should be string. Maybe you forgot quotes? break-var - Break/continue with variable is dangerous - break level can be out of scope. break-depth - Break/continue with depth more than current nesting level. var-once - Variable '%s' encountered only once. May be a typo? var-arg-unused - Function argument '%s' is never used. var-global-unused - Global variable '%s' is defined but never used. var-use-before-def - Variable '%s' is used before it was assigned. var-use-before-def-global - Global variable '%s' is used without being assigned. You are probably relying on register_globals feature of PHP. Note that this feature is off by default. var-no-global - PHP global variable '%s' is used as local. Maybe you wanted to define '%s' as global? var-value-unused - Value assigned to variable '%s' is never used var-ref-notmodified - Function parameter '%s' is passed by reference but never modified. Consider passing by value. return-empty-val - Function '%s' has both empty return and return with value. return-empty-used - Function '%s' has empty return but return value is used. return-noref - Function '%s' returns reference but the value is not assigned by reference. Maybe you meant '=&' instead of '='? return-end-used - Control reaches the end of function '%s'(file %s, line %d) but return value is used. sprintf-miss-args - Missing arguments for sprintf: format reqires %d arguments but %d are supplied. sprintf-extra-args - Extra arguments for sprintf: format reqires %d arguments but %d are supplied. unreach-code - Unreachable code in function '%s'. include-var - include/require with user-accessible variable can be dangerous. Consider using constant instead. non-object - Variable '%s' used as object, but has different type. bad-escape - Bad escape sequence: \%c, did you mean \%c? empty-cond - Condition without a body expr-unused - Expression result is never used

author
  Knut Urdalen
package
  phing.tasks.ext
version
  $Id: ZendCodeAnalyzerTask.php 843 2010-09-02 14:39:13Z mrook $

## \ZendCodeAnalyzerTask
jump to top

ZendCodeAnalyzerTask analyze PHP source code using the ZendCodeAnalyzer included in Zend Studio 5.1

Available warnings: zend-error - %s(line %d): %s oneline-comment - One-line comment ends with tag. bool-assign - Assignment seen where boolean expression is expected. Did you mean '==' instead of '='? bool-print - Print statement used when boolean expression is expected. bool-array - Array used when boolean expression is expected. bool-object - Object used when boolean expression is expected. call-time-ref - Call-time reference is deprecated. Define function as accepting parameter by reference instead. if-if-else - In if-if-else construction else relates to the closest if. Use braces to make the code clearer. define-params - define() requires two or three parameters. define-const - First parameter for define() should be string. Maybe you forgot quotes? break-var - Break/continue with variable is dangerous - break level can be out of scope. break-depth - Break/continue with depth more than current nesting level. var-once - Variable '%s' encountered only once. May be a typo? var-arg-unused - Function argument '%s' is never used. var-global-unused - Global variable '%s' is defined but never used. var-use-before-def - Variable '%s' is used before it was assigned. var-use-before-def-global - Global variable '%s' is used without being assigned. You are probably relying on register_globals feature of PHP. Note that this feature is off by default. var-no-global - PHP global variable '%s' is used as local. Maybe you wanted to define '%s' as global? var-value-unused - Value assigned to variable '%s' is never used var-ref-notmodified - Function parameter '%s' is passed by reference but never modified. Consider passing by value. return-empty-val - Function '%s' has both empty return and return with value. return-empty-used - Function '%s' has empty return but return value is used. return-noref - Function '%s' returns reference but the value is not assigned by reference. Maybe you meant '=&' instead of '='? return-end-used - Control reaches the end of function '%s'(file %s, line %d) but return value is used. sprintf-miss-args - Missing arguments for sprintf: format reqires %d arguments but %d are supplied. sprintf-extra-args - Extra arguments for sprintf: format reqires %d arguments but %d are supplied. unreach-code - Unreachable code in function '%s'. include-var - include/require with user-accessible variable can be dangerous. Consider using constant instead. non-object - Variable '%s' used as object, but has different type. bad-escape - Bad escape sequence: \%c, did you mean \%c? empty-cond - Condition without a body expr-unused - Expression result is never used

Extends from
  \Task
author
  Knut Urdalen
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext
version
  $Id: ZendCodeAnalyzerTask.php 843 2010-09-02 14:39:13Z mrook $

### Properties

`$analyzerPath= ''`
Details

Type

`$counter= '0'`
Default value `0` Details

Type

`$disable= 'array'`
Default value `array` Details

Type

`$enable= 'array'`
Default value `array` Details

Type

`$file= ''`
Details

Type

`$filesets= 'array'`
Default value `array` Details

Type

`$haltonwarning= 'false'`
Default value `false` Details

Type

### Methods

`analyze( string $file ) : void`
Analyze file
Parameters

Name | Type | Description
--- | --- | ---
$file | string |

`createFileSet( ) : \FileSet`
Nested creator, creates a FileSet for this task
Returns

Type | Description
--- | ---
\FileSet |

`main( ) :`
Analyze against PhingFile or a FileSet
`setAnalyzerPath( string $analyzerPath ) :`
Path to ZendCodeAnalyzer binary
Parameters

Name | Type | Description
--- | --- | ---
$analyzerPath | string |

`setDisable( string $disable ) :`
Disable warning levels. Seperate warning levels with ','
Parameters

Name | Type | Description
--- | --- | ---
$disable | string |

`setEnable( string $enable ) :`
Enable warning levels. Seperate warning levels with ','
Parameters

Name | Type | Description
--- | --- | ---
$enable | string |

`setFile( \PhingFile $file ) :`
File to be analyzed
Parameters

Name | Type | Description
--- | --- | ---
$file | \PhingFile |

`setHaltonwarning( boolean $value ) :`
Sets the haltonwarning flag
Parameters

Name | Type | Description
--- | --- | ---
$value | boolean |

Documentation was generated by DocBlox 0.13.1.